Subject: Re: [dhcwg] RFC3633: REBIND/REPLY after the link has flapped

From: Ted Lemon <[email-masked]>
Date: Mon, 8 Nov 2010 00:39:36 -0800

On Oct 25, 2010, at 10:56 PM, Dedecker Hans wrote:
As RFC3633 does not state explicitly that the DHCPv6 client can start immediately a REBIND/REPLY message exchange after the link has flapped it’s open for interpretation ….

I didn't see an answer to this, so even though it's a month late I'll answer it now.   The text you quote from RFC3633 section 12.1 doesn't make sense unless it specifies new behavior.   DHCPv6 clients _always_ rebind when T2 expires.   So the only reading that makes sense is that the text you've quoted from RFC3633 means that you are to *immediately* rebind.